# $Revision: 1.58 $, $Date: 2006/12/20 12:31:20 $
Summary:	PowerDNS is a Versatile Database Driven Nameserver
Summary(pl):	PowerDNS to wielofunkcyjny serwer nazw korzystajcy z relacyjnych baz danych
Name:		pdns
Version:	2.9.20
Release:	3
License:	GPL
Group:		Networking/Daemons
Source0:	http://downloads.powerdns.com/releases/%{name}-%{version}.tar.gz
# Source0-md5:	33b20ef1b767f93297101f2aa09e99ed
Source1:	http://downloads.powerdns.com/documentation/%{name}.pdf
# Source1-md5:	3ce3a16df5d91ceab75dea8307b35f2c
Source2:	http://downloads.powerdns.com/documentation/%{name}.txt
Source3:	%{name}.init
Source4:	%{name}.conf
Source5:	%{name}.sysconfig
Patch0:		%{name}-configure.patch
Patch1:		%{name}-int16.patch
Patch2:		%{name}-openldap-2.3.patch
URL:		http://www.powerdns.com/
BuildRequires:	bison
BuildRequires:	boost-devel
BuildRequires:	boost-ref-devel
BuildRequires:	flex
BuildRequires:	libpq++-devel
BuildRequires:	libstdc++-devel
BuildRequires:	mysql-devel
BuildRequires:	openldap-devel >= 2.3.0
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	zlib-devel
Requires(post):	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Provides:	group(djbdns)
Provides:	nameserver
Provides:	user(pdns)
Obsoletes:	powerdns
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PowerDNS is a versatile nameserver which supports a large number of
different backends ranging from simple zonefiles to relational
databases and load balancing/failover algorithms.

%description -l pl
PowerDNS to wielofunkcyjny serwer nazw posiadajcy du liczb wtyczek
od prostych stref (a'la BIND) poczwszy, a na relacyjnych bazach
danych skoczywszy oraz zawierajcy algorytmy zrwnowaenia obcienia
i przeczania w wypadku awarii.

%package backend-pipe
Summary:	PowerDNS support for custom pipe backend
Summary(pl):	Wsparcie PowerDNS dla wasnego mechanizmu przechowywania stref
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description backend-pipe
This package allows creation of own backend using simple STDIN/STDOUT
API. Example backend script in Perl is provided in package
documentation.

%description backend-pipe -l pl
Ten pakiet pozwala na utworzenie wasnego mechanizmu przechowywania
stref za pomoc prostego interfejsu STDIN/STDOUT. Przykadowy skrypt w
Perlu zosta doczony do dokumentacji pakietu.

%package backend-gpgsql
Summary:	PowerDNS support for PostgreSQL
Summary(pl):	Wsparcie PowerDNS dla baz PostgresQL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description backend-gpgsql
This package allows zone storage in PostgreSQL relational db tables.

%description backend-gpgsql -l pl
Ten pakiet pozwala na przechowywanie danych o strefach w tabelach
relacyjnej bazy danych PostgreSQL.

%package backend-gmysql
Summary:	PowerDNS support for MySQL
Summary(pl):	Wsparcie PowerDNS dla baz MySQL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description backend-gmysql
This package allows zone storage in MySQL relational db tables.

%description backend-gmysql -l pl
Ten pakiet pozwala na przechowywanie danych o strefach w tabelach
relacyjnej bazy danych MySQL.

%package backend-ldap
Summary:	PowerDNS support for LDAP
Summary(pl):	Wsparcie PowerDNS dla baz LDAP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description backend-ldap
This package allows zone storage in LDAP directory.

%description backend-ldap -l pl
Ten pakiet pozwala na przechowywanie danych o strefach w katalogu
LDAP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
cp %{SOURCE1} .
cp %{SOURCE2} .

%build
CPPFLAGS="-DHAVE_NAMESPACE_STD -DHAVE_CXX_STRING_HEADER -DDLLIMPORT=\"\""
%configure \
	--libdir=%{_libdir}/%{name} \
	--sysconfdir=%{_sysconfdir}/%{name} \
	--with-socketdir=/var/run \
	--with-dynmodules="gmysql gpgsql pipe ldap" \
	--with-modules="" \
	--enable-mysql \
	--enable-pgsql \
	--with-pgsql-lib=%{_libdir} \
	--with-pgsql-includes=%{_includedir} \
	--with-mysql-lib=%{_libdir} \
	--with-mysql-includes=%{_includedir} \
	--enable-ldap \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_initrddir},%{_sysconfdir}/%{name},/etc/sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE3} $RPM_BUILD_ROOT%{_initrddir}/%{name}
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/%{name}.conf
install %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/pdns

# useless - modules are dlopened by *.so
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 32 djbdns
%useradd -u 30 -d /var/lib/pdns -s /bin/false -c "pdns User" -g djbdns pdns

%post
# dirty hack so the config file is processed correctly, and server does not respawn
sed -i -e 's/^ *//' /etc/pdns/pdns.conf

/sbin/chkconfig --add pdns
%service pdns restart

%preun
if [ "$1" = "0" ]; then
	%service pdns stop
	/sbin/chkconfig --del pdns
fi

%postun
if [ "$1" = "0" ]; then
	%userremove pdns
	%groupremove djbdns
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog HACKING INSTALL README TODO pdns.pdf pdns.txt
%attr(754,root,root) %{_initrddir}/%{name}
%dir %{_sysconfdir}/%{name}
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/pdns
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man8/*

%files backend-gmysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/*mysql*.so*

%files backend-gpgsql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/*pgsql*.so*

%files backend-pipe
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/*pipe*.so*

%files backend-ldap
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/*ldap*.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pdns.spec,v $
Revision 1.58  2006/12/20 12:31:20  hawk
- release 3 to rebuild with PostgreSQL 8.2

Revision 1.57  2006/09/08 18:03:19  glen
- rel 2 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.56  2006/04/09 22:30:43  zergin
- version up to 2.9.20 (rel 1)
- STBR

Revision 1.55  2006/03/27 12:41:36  glen
- rel 5 (libmysqlclient_15)

Revision 1.54  2006/03/12 22:45:47  glen
- use %service, adapterized

Revision 1.53  2006/01/18 00:08:14  baggins
- release 4
- fix compilation with openldap 2.3

Revision 1.52  2006/01/17 15:36:59  baggins
- release 3
- BR openldap 2.3

Revision 1.51  2005/12/27 19:13:15  zboczuch
- pl fix

Revision 1.50  2005/12/27 19:10:43  zboczuch
- missing requires from backend subpackages to main package (due
  to unresolved symbols reported during starting service with different
  versions of main package and backend)

Revision 1.49  2005/11/17 23:12:31  zbyniu
- strbind patch obsoleted
- ldap backend works for me => rel 1

Revision 1.48  2005/11/17 18:10:52  mwinkler
- up to 2.9.19, rel 0.1
- works but backend not tested

Revision 1.47  2005/10/27 17:48:15  arekm
- rel 2

Revision 1.46  2005/08/02 01:11:45  zbyniu
- srtbind patch, order in %files
- rel 1, STBR (security)

Revision 1.45  2005/07/25 13:42:53  baseciq
- up to 2.9.18 (security fix)

Revision 1.44  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.43  2005/04/13 06:24:39  qboosh
- removed Rs detected by autoreqdep

Revision 1.42  2005/04/10 22:30:03  djrzulf
- switched requires from mysql,postgresql,openldap to -libs !,
- STBR AC-MAIN,
- Rel 5,

Revision 1.41  2005/03/14 22:53:43  djrzulf
- updated init, bts #5625, STBR AC-ready,

Revision 1.40  2005/03/02 19:19:01  djrzulf
- updated pdns.conf, Rel 3, STBR AC-READY,

Revision 1.39  2005/02/16 22:03:20  djrzulf
- Rel 2,
- added patches fixing amd64 build,
- STBR for AC-TEST,

Revision 1.38  2005/01/14 07:57:45  aredridel
- up to 2.9.17

Revision 1.37  2004/10/25 11:47:23  paladine
- "Perl" unifications

Revision 1.36  2004/10/12 12:35:24  ankry
- %groupremove/%userremove support, some standarization

Revision 1.35  2004/08/19 10:09:18  undefine
- release 2

Revision 1.34  2004/08/19 09:49:51  undefine
- specify libdir as path to mysql and postgresql

Revision 1.33  2004/05/13 17:43:09  ankry
- spaces -> tabs, other cosmetics

Revision 1.32  2004/03/11 12:04:22  zergin
- added patch to remove BR on libpq++-static

Revision 1.31  2004/03/11 11:01:04  zergin
- updated to 2.9.16
- patch0 and 1 already in sources
- still needs libpq++-static (at least configure does)

Revision 1.30  2004/02/20 22:49:50  aredridel
- no longer requires libpq++-static

Revision 1.29  2004/02/20 20:57:01  mwinkler
- move patch1 to proper name

Revision 1.28  2004/02/20 20:26:41  mwinkler
- fix polish characters

Revision 1.27  2004/02/20 19:51:36  aredridel
- add patch for mishandled ldap queries with revers DNSv6

Revision 1.26  2004/01/21 18:44:52  zergin
- forgot to update documentation; done

Revision 1.25  2004/01/21 18:18:59  zergin
- updated to 2.9.15
- contains dirty hack for proccessing config file - trailing blank
  characters need to be deleted
- note for LDAP users: ldap-port is now depricated, insted use
  ldap-serwer=serwer_address:serwer_port

Revision 1.24  2004/01/17 16:25:16  aredridel
- of course, so is ''

Revision 1.23  2004/01/17 16:23:47  aredridel
- /dev/null is not a valid homedir according to pwdutils

Revision 1.22  2004/01/15 02:10:17  zergin
- patch0: bugfix: master/slave mysql loop
- added missing BR: openldap-devel

Revision 1.21  2003/12/27 08:48:54  aredridel
- made not conflict, so that using djbdns-dnscache + pdns is possible

Revision 1.20  2003/12/23 11:31:22  zergin
- LDAP backend by Zbigniew Krzystolik <zbyniu at altus geocarbon pl>
- mysql/pgsql rename to gmysql/gpgsql to mach modules names

Revision 1.19  2003/12/23 01:54:51  zergin
- now builds with libpq++
- adapterized

Revision 1.18  2003/12/21 23:00:19  gotar
- 2.9.13 by Marcin Kurzyna pld at nius waw pl

Revision 1.17  2003/10/27 18:08:08  adamg
- updated to 2.9.12

Revision 1.16  2003/09/18 14:00:41  adamg
- updated to 2.9.11
- added %{_bindir} to %files

Revision 1.15  2003/08/18 08:08:26  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/07/29 14:17:59  qboosh
- added missing Requires(): chkconfig or PreReq: rc-scripts

Revision 1.13  2003/07/22 15:18:29  qboosh
- cleanups, removed useless *.a and *.la

Revision 1.12  2003/07/06 09:53:34  misi3k
- updated to 2.9.10

Revision 1.11  2003/05/29 10:56:15  adgor
- Removed md5sums for *.txt srcs (already stored in repo)

Revision 1.10  2003/05/28 14:19:05  malekith
- don't define name,version,release macros (what for?)

Revision 1.9  2003/05/28 13:00:18  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/02/17 08:08:52  misi3k
- updated to 2.9.6

Revision 1.6  2003/01/22 18:41:32  kondi
- version 2.9.5, release 1
- now PowerDNS is real recursion server!
- STBR

Revision 1.5  2003/01/18 20:24:08  kondi
- doucmentation update
- backends fix

Revision 1.4  2003/01/18 16:22:03  kondi
- cut'n'paste fix

Revision 1.3  2003/01/18 16:16:55  kondi
- pdns.init adopted to suit PLD convention
- pdns.conf working-out-of-the-box with example.com zone
- pdns.sysconfig added for renice (set from named)
- fixed minor spec mistakes
- STBR; release 1

Revision 1.2  2003/01/18 14:55:09  kondi
- backends splitted

Revision 1.1  2003/01/18 13:27:00  kondi
- initial revision
- not yet tested
- pdns.{init,conf} from vendor, to be adjusted for PLD
- pdns.sysconfig to be written (at least for renice)
- backends in pdns-devel to be splitted (mysql, pgsql, pipe)
